"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _AuthContext = require("../AuthContext");
var _reducers = require("../utils/reducers");
var _errors = require("../errors");
function useSignIn() {
  var context = (0, _AuthContext.useReactAuthKit)();
  return function (signInConfig) {
    if (context.value.isUsingRefreshToken) {
      if (signInConfig.refresh) {
        context.set((0, _reducers.doSignIn)(signInConfig));
        return true;
      } else {
        throw new _errors.AuthError('This appication is using refresh token feature.' + ' So please include `refresh` param in the parameters');
      }
    } else if (signInConfig.refresh) {
      throw new _errors.AuthError('This appication is not using refresh token feature.' + ' So please remove the `refresh` param in the parameters.' + ' In Case you want to use refresh token feature,' + ' make sure you added that while creating the store.');
    } else {
      context.set((0, _reducers.doSignIn)(signInConfig));
      return true;
    }
  };
}
var _default = exports.default = useSignIn;